aboutsummaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2022-01-08 02:26:31 -0300
committerEuAndreh <eu@euandre.org>2022-01-08 02:26:31 -0300
commite083a63a5baaeae21f67514bf98cfe1e43372e5a (patch)
tree83ff4281e44063b873c2dd716cd9b914ef712b2f /src
parentconfiguration.nix: add empty line in "with-email.sh" file (diff)
downloaddotfiles-e083a63a5baaeae21f67514bf98cfe1e43372e5a.tar.gz
dotfiles-e083a63a5baaeae21f67514bf98cfe1e43372e5a.tar.xz
src/bin/backup: Use "suyin" instead of "$R" for SSH remote
Diffstat (limited to 'src')
-rwxr-xr-xsrc/bin/backup20
1 files changed, 10 insertions, 10 deletions
diff --git a/src/bin/backup b/src/bin/backup
index 1e51d09a..434eeef0 100755
--- a/src/bin/backup
+++ b/src/bin/backup
@@ -59,26 +59,26 @@ finish() {
}
trap finish EXIT
-R='16686@ch-s010.rsync.net'
+
export BORG_REMOTE_PATH='borg1'
export BORG_PASSCOMMAND='pass show Usurpador/borg/passphrase'
SSH_AUTH_SOCK="$(gpgconf --list-dirs agent-ssh-socket)"
export SSH_AUTH_SOCK
-borg init -e repokey-blake2 $R:usurpador-borg ||:
-borg key export $R:usurpador-borg ~/archive/usurpador-borg-key.txt
+borg init -e repokey-blake2 suyin:usurpador-borg ||:
+borg key export suyin:usurpador-borg ~/archive/usurpador-borg-key.txt
borg create \
- --stats \
- --compression lzma,9 \
- --comment "${2:-}" \
- "$R:usurpador-borg::{hostname}-{now}-${1:-cronjob}" \
+ --stats \
+ --compression lzma,9 \
+ --comment "${2:-}" \
+ "suyin:usurpador-borg::{hostname}-{now}-${1:-cronjob}" \
~/
borg check \
--verbose \
--last 3 \
- $R:usurpador-borg
+ suyin:usurpador-borg
borg prune \
--verbose \
@@ -86,6 +86,6 @@ borg prune \
--keep-within=6m \
--keep-weekly=52 \
--keep-monthly=24 \
- $R:usurpador-borg
+ suyin:usurpador-borg
-ssh $R quota
+ssh suyin quota